
$(document).ready(function(){
	var data = "mesin/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_mesin").html('');
		$("#error_type").html('');
		$("#error_tgl").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "mesin/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_mesin").html(hasil.error.mesin);
					$("#error_type").html(hasil.error.type);
					$("#error_tgl").html(hasil.error.tgl);
				} else {
					$('#modal-tambah').modal('hide');
					$("#mesin").val('');
					$("#type").val('');
					$("#tgl").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('mesin/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_mesin").html('');
		$("#error_type").html('');
		$("#error_tgl").html('');
		
		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "mesin/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_mesin").html(hasil.error.edit_mesin);
					$("#error_edit_type").html(hasil.error.edit_type);
					$("#error_edit_tgl").html(hasil.error.edit_tgl);
				} else {
					$('#modal-edit').modal('hide');
					$("#mesin").val('');
					$("#type").val('');
					$("#tgl").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).ready(function(){
		$('.input-tanggal').datepicker({
			dateFormat: 'yy-mm-dd'
		});		
	});	

});